select check_proper_db();

truncate audit_entry;

-- opcjonalnie:
-- update account set name = anon_text(name);

update account set account_owner_name = anon_text(account_owner_name);
update account set name = anon_text(name);
update project set name = anon_text(name);
update task set name = anon_text(name);
update quote set name = anon_text(name);

update customer set name = anon_text(name);
update social_media_contact set contact = anon_text(contact);
update contact_person set name = anon_text(name);
update opportunity set name = anon_text(name);
update provider set name = anon_text(name);
update xtrf_external_system set url1 = anon_text(url1);
update system_configuration set smtp_password = anon_text(smtp_password), smtp_server = anon_text(smtp_server) || '.disabled', system_url = 'https://localhost:8443/xtrf', redirect_emails_to_admin = true;
update xtrf_system_table set value =  value || '-ANONYMIZED' where name='CLIENT_ID';
-- XADM-199
update system_account set uid = anon_text(uid) where uid like '% %' and uid not like 'Erased %';

update pa_cat_tool_project_view_model set content = content || '{"autoSynchronized": false}' where content ->> 'autoSynchronized' = 'true';

-- XA-13742
truncate customer_entity_image;
truncate person_entity_image;
truncate provider_entity_image;
truncate email_image;
truncate social_media_entity_image;

truncate SUBSCRIPTION_INFO;

select anon_all_tables();
